import{s as Gt,n as Vt,o as Zt}from"../chunks/scheduler.b108d059.js";import{S as Dt,i as Jt,g as o,s as i,u as Z,A as Ot,h as s,f as e,c as r,j as h,v as D,y as p,k as l,o as u,a as n,w as J,d as O,t as R,x as Y}from"../chunks/index.a9288bc5.js";import{I as mt}from"../chunks/IconCopyLink.9df037eb.js";import{C as Rt}from"../chunks/CodeBlock.5ddf772e.js";function Yt(xt){let c,B,I,K,d,w,W,x,wt,L,Ct="AutoTrain",Q,C,$t="🤗 AutoTrain is a no-code tool for training state-of-the-art models for Natural Language Processing (NLP) tasks, for Computer Vision (CV) tasks, and for Speech tasks and even for Tabular tasks. It is built on top of the awesome tools developed by the Hugging Face team, and it is designed to be easy to use.",X,f,g,q,$,gt,z,_t="Who should use AutoTrain?",tt,_,bt="AutoTrain is for anyone who wants to train a state-of-the-art model for a NLP, CV, Speech or Tabular task, but doesn’t want to spend time on the technical details of training a model. AutoTrain is also for anyone who wants to train a model for a custom dataset, but doesn’t want to spend time on the technical details of training a model. Our goal is to make it easy for anyone to train a state-of-the-art model for any task and our focus is not just data scientists or machine learning engineers, but also non-technical users.",et,v,A,F,b,At,M,Tt="How to use AutoTrain?",at,T,kt="We offer several ways to use AutoTrain:",nt,k,Pt='<li><p>No code users with large number of data samples can use <code>AutoTrain Advanced</code> by creating a new space with AutoTrain Docker image: <a href="https://huggingface.co/new-space?template=autotrain-projects/autotrain-advanced" rel="nofollow">https://huggingface.co/new-space?template=autotrain-projects/autotrain-advanced</a>. Please make sure you keep the space private.</p></li> <li><p>No code users with small number of data samples can use AutoTrain using the UI located at: <a href="https://ui.autotrain.huggingface.co/projects" rel="nofollow">https://ui.autotrain.huggingface.co/projects</a>. Please note that this UI won’t be updated with new tasks and features as frequently as AutoTrain Advanced.</p></li> <li><p>Developers can access and build on top of AutoTrain using python api or run AutoTrain Advanced UI locally. The python api is available in the <code>autotrain-advanced</code> package. You can install it using pip:</p></li>',ot,P,st,m,y,G,E,yt,U,Et="What is AutoTrain Advanced?",it,N,Nt="AutoTrain Advanced processes your data either in a Hugging Face Space or locally (if installed locally using pip). This saves one time since the data processing is not done by the AutoTrain backend, resulting in your job not being queued. AutoTrain Advanced also allows you to use your own hardware (better CPU and RAM) to process the data, thus, making the data processing faster.",rt,S,St="Using AutoTrain Advanced, advanced users can also control the hyperparameters used for training per job. This allows you to train multiple models with different hyperparameters and compare the results.",lt,H,Ht="Everything else is the same as AutoTrain. You can use AutoTrain Advanced to train models for NLP, CV, Speech and Tabular tasks.",ut,j,jt='We recommend using <a href="https://huggingface.co/new-space?template=autotrain-projects/autotrain-advanced" rel="nofollow">AutoTrain Advanced</a> since it is faster, more flexible and will have more supported tasks and features in the future.',ht,V,pt;return x=new mt({}),$=new mt({}),b=new mt({}),P=new Rt({props:{code:"cGlwJTIwaW5zdGFsbCUyMGF1dG90cmFpbi1hZHZhbmNlZA==",highlighted:"pip install autotrain-advanced"}}),E=new mt({}),{c(){c=o("meta"),B=i(),I=o("p"),K=i(),d=o("h1"),w=o("a"),W=o("span"),Z(x.$$.fragment),wt=i(),L=o("span"),L.textContent=Ct,Q=i(),C=o("p"),C.textContent=$t,X=i(),f=o("h2"),g=o("a"),q=o("span"),Z($.$$.fragment),gt=i(),z=o("span"),z.textContent=_t,tt=i(),_=o("p"),_.textContent=bt,et=i(),v=o("h2"),A=o("a"),F=o("span"),Z(b.$$.fragment),At=i(),M=o("span"),M.textContent=Tt,at=i(),T=o("p"),T.textContent=kt,nt=i(),k=o("ul"),k.innerHTML=Pt,ot=i(),Z(P.$$.fragment),st=i(),m=o("h2"),y=o("a"),G=o("span"),Z(E.$$.fragment),yt=i(),U=o("span"),U.textContent=Et,it=i(),N=o("p"),N.textContent=Nt,rt=i(),S=o("p"),S.textContent=St,lt=i(),H=o("p"),H.textContent=Ht,ut=i(),j=o("p"),j.innerHTML=jt,ht=i(),V=o("p"),this.h()},l(t){const a=Ot("svelte-1phssyn",document.head);c=s(a,"META",{name:!0,content:!0}),a.forEach(e),B=r(t),I=s(t,"P",{}),h(I).forEach(e),K=r(t),d=s(t,"H1",{class:!0});var ct=h(d);w=s(ct,"A",{id:!0,class:!0,href:!0});var Lt=h(w);W=s(Lt,"SPAN",{});var zt=h(W);D(x.$$.fragment,zt),zt.forEach(e),Lt.forEach(e),wt=r(ct),L=s(ct,"SPAN",{"data-svelte-h":!0}),p(L)!=="svelte-15aftfw"&&(L.textContent=Ct),ct.forEach(e),Q=r(t),C=s(t,"P",{"data-svelte-h":!0}),p(C)!=="svelte-jkx7zk"&&(C.textContent=$t),X=r(t),f=s(t,"H2",{class:!0});var dt=h(f);g=s(dt,"A",{id:!0,class:!0,href:!0});var Mt=h(g);q=s(Mt,"SPAN",{});var Ut=h(q);D($.$$.fragment,Ut),Ut.forEach(e),Mt.forEach(e),gt=r(dt),z=s(dt,"SPAN",{"data-svelte-h":!0}),p(z)!=="svelte-1olwbij"&&(z.textContent=_t),dt.forEach(e),tt=r(t),_=s(t,"P",{"data-svelte-h":!0}),p(_)!=="svelte-1sziyz1"&&(_.textContent=bt),et=r(t),v=s(t,"H2",{class:!0});var ft=h(v);A=s(ft,"A",{id:!0,class:!0,href:!0});var It=h(A);F=s(It,"SPAN",{});var Wt=h(F);D(b.$$.fragment,Wt),Wt.forEach(e),It.forEach(e),At=r(ft),M=s(ft,"SPAN",{"data-svelte-h":!0}),p(M)!=="svelte-yk2pqb"&&(M.textContent=Tt),ft.forEach(e),at=r(t),T=s(t,"P",{"data-svelte-h":!0}),p(T)!=="svelte-grs4nb"&&(T.textContent=kt),nt=r(t),k=s(t,"UL",{"data-svelte-h":!0}),p(k)!=="svelte-uod00h"&&(k.innerHTML=Pt),ot=r(t),D(P.$$.fragment,t),st=r(t),m=s(t,"H2",{class:!0});var vt=h(m);y=s(vt,"A",{id:!0,class:!0,href:!0});var qt=h(y);G=s(qt,"SPAN",{});var Ft=h(G);D(E.$$.fragment,Ft),Ft.forEach(e),qt.forEach(e),yt=r(vt),U=s(vt,"SPAN",{"data-svelte-h":!0}),p(U)!=="svelte-p2psz9"&&(U.textContent=Et),vt.forEach(e),it=r(t),N=s(t,"P",{"data-svelte-h":!0}),p(N)!=="svelte-aqzez7"&&(N.textContent=Nt),rt=r(t),S=s(t,"P",{"data-svelte-h":!0}),p(S)!=="svelte-f09zbw"&&(S.textContent=St),lt=r(t),H=s(t,"P",{"data-svelte-h":!0}),p(H)!=="svelte-1lbly1y"&&(H.textContent=Ht),ut=r(t),j=s(t,"P",{"data-svelte-h":!0}),p(j)!=="svelte-13yqtc9"&&(j.innerHTML=jt),ht=r(t),V=s(t,"P",{}),h(V).forEach(e),this.h()},h(){l(c,"name","hf:doc:metadata"),l(c,"content",JSON.stringify(Bt)),l(w,"id","autotrain"),l(w,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(w,"href","#autotrain"),l(d,"class","relative group"),l(g,"id","who-should-use-autotrain"),l(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(g,"href","#who-should-use-autotrain"),l(f,"class","relative group"),l(A,"id","how-to-use-autotrain"),l(A,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(A,"href","#how-to-use-autotrain"),l(v,"class","relative group"),l(y,"id","what-is-autotrain-advanced"),l(y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(y,"href","#what-is-autotrain-advanced"),l(m,"class","relative group")},m(t,a){u(document.head,c),n(t,B,a),n(t,I,a),n(t,K,a),n(t,d,a),u(d,w),u(w,W),J(x,W,null),u(d,wt),u(d,L),n(t,Q,a),n(t,C,a),n(t,X,a),n(t,f,a),u(f,g),u(g,q),J($,q,null),u(f,gt),u(f,z),n(t,tt,a),n(t,_,a),n(t,et,a),n(t,v,a),u(v,A),u(A,F),J(b,F,null),u(v,At),u(v,M),n(t,at,a),n(t,T,a),n(t,nt,a),n(t,k,a),n(t,ot,a),J(P,t,a),n(t,st,a),n(t,m,a),u(m,y),u(y,G),J(E,G,null),u(m,yt),u(m,U),n(t,it,a),n(t,N,a),n(t,rt,a),n(t,S,a),n(t,lt,a),n(t,H,a),n(t,ut,a),n(t,j,a),n(t,ht,a),n(t,V,a),pt=!0},p:Vt,i(t){pt||(O(x.$$.fragment,t),O($.$$.fragment,t),O(b.$$.fragment,t),O(P.$$.fragment,t),O(E.$$.fragment,t),pt=!0)},o(t){R(x.$$.fragment,t),R($.$$.fragment,t),R(b.$$.fragment,t),R(P.$$.fragment,t),R(E.$$.fragment,t),pt=!1},d(t){t&&(e(B),e(I),e(K),e(d),e(Q),e(C),e(X),e(f),e(tt),e(_),e(et),e(v),e(at),e(T),e(nt),e(k),e(ot),e(st),e(m),e(it),e(N),e(rt),e(S),e(lt),e(H),e(ut),e(j),e(ht),e(V)),e(c),Y(x),Y($),Y(b),Y(P,t),Y(E)}}}const Bt={local:"autotrain",sections:[{local:"who-should-use-autotrain",title:"Who should use AutoTrain?"},{local:"how-to-use-autotrain",title:"How to use AutoTrain?"},{local:"what-is-autotrain-advanced",title:"What is AutoTrain Advanced?"}],title:"AutoTrain"};function Kt(xt){return Zt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ae extends Dt{constructor(c){super(),Jt(this,c,Kt,Yt,Gt,{})}}export{ae as component};
